<?xml version="1.0" encoding="utf-8" ?>
<install type="module">
	<name>odyshop_homepage_products</name>
	<title>Odyshop Homepage Products</title>
	<protected>0</protected>
	<version>2.0</version>
	<author>korinthorama.gr</author>	
	<files>
		<file type="root">odyshop_homepage_products.php</file>
		<file type="css">styles.css</file>
	</files>				
	<params>
		<param type="textfield" size="10" name="marginTop" label="marginTop" description="Το άνω εξωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="marginRight" label="marginRight" description="Το δεξί εξωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="marginBottom" label="marginBottom" description="Το κάτω εξωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="marginLeft" label="marginLeft" description="Το αριστερό εξωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="paddingTop" label="paddingTop" description="Το άνω εσωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="paddingRight" label="paddingRight" description="Το δεξί εσωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="paddingBottom" label="paddingBottom" description="Το κάτω εσωτερικό περιθώριο του ενθέματος">0</param>
		<param type="textfield" size="10" name="paddingLeft" label="paddingLeft" description="Το αριστερό εσωτερικό περιθώριο του ενθέματος">0</param>		
		<param type="checkbox" name="useModuleContainer" label="useModuleContainer" description="Να εσωκλείεται το περιεχόμενο μέσα σε container. Χωρίς αυτό κάποιες παραμετροποιήσεις δεν θα είναι εφικτές">1</param>
		<param type="textfield" size="10" name="widthInPixels" label="widthInPixels" description="Πλάτος του module container σε pixels"></param>	
		
		<param type="items" required="true" criteria="product_groups" name="groupOfProducts" label="groupOfProducts" description="Η ομάδα προϊόντων που θα χρησιμοποιηθεί"></param>
		<param type="checkbox" name="showHeader" label="showHeader" description="Να εμφανίζεται η επικεφαλίδα">1</param>
        <param type="textfield" name="homeProductsHeader" label="homeProductsHeader" description="H επικεφαλίδα για τα προϊόντα της αρχικής σελίδας"></param>
        <param type="textfield" name="allProductsText" label="allProductsText" description="Κείμενο για το κείμενο του link όλων των προϊόνταν">Δείτε όλα μας τα προϊόντα</param>
		<param type="textarea" rows="5" cols="50" name="cssContent" label="cssContent" description="Το περιεχόμενο του override css αρχείου που θα χρησιμοποιηθεί"></param>
        <param type="select" default="3" name="maxProductsPerRow" label="maxProductsPerRow" description="Ανώτερος αριθμός προϊόντων ανά σειρά">
            <item value="2">6</item>
            <item value="3">4</item>
            <item value="4">3</item>
        </param>
		<param type="select" default="center" name="moduleAlign" label="moduleAlign" description="Η στοίχιση με την οποία θα εμφανίζεται το ένθεμα">
			<item value="left">αριστερά</item>
			<item value="center">κέντρο</item>
			<item value="right">δεξιά</item>
		</param>
		<param type="select" default="none" name="moduleHR" label="moduleHR" description="Εμφάνιση διαχωριστικού hr στο ένθεμα">
			<item value="none">χωρίς διαχωριστικό</item>
			<item value="top">επάνω διαχωριστικό</item>
			<item value="bottom">κάτω διαχωριστικό</item>
		</param>		
	</params>

</install>